VirtualBox

Opened 7 months ago

Closed 3 weeks ago

#21877 closed defect (fixed)

UBSAN errors with Kernel 6.5

Reported by: towo Owned by:
Component: other Version: VirtualBox-7.0.12
Keywords: ubsan, VBoxNetAdp Cc:
Guest type: other Host type: Linux

Description

With Kernel 6.5 VBox spams the kernel log with UBSAN errors

[Mi Okt 18 11:43:37 2023] ================================================================================
[Mi Okt 18 11:43:37 2023] ================================================================================
[Mi Okt 18 11:43:37 2023] ================================================================================
[Mi Okt 18 11:43:37 2023] UBSAN: array-index-out-of-bounds in /var/lib/dkms/virtualbox/7.0.12/build/vboxdrv/SUPDrvGip.c:180:24
[Mi Okt 18 11:43:37 2023] index 1 is out of range for type 'SUPGIPCPU [1]'
[Mi Okt 18 11:43:37 2023] CPU: 11 PID: 983 Comm: iprt-VBoxTscThr Tainted: P           OE      6.5.0-10005-tuxedo #5
[Mi Okt 18 11:43:37 2023] Hardware name: TUXEDO TUXEDO Polaris 15 AMD Gen1/POLARIS1501A2060, BIOS N.1.21.A04 08/30/2021
[Mi Okt 18 11:43:37 2023] Call Trace:
[Mi Okt 18 11:43:37 2023]  <TASK>
[Mi Okt 18 11:43:37 2023] UBSAN: array-index-out-of-bounds in /var/lib/dkms/virtualbox/7.0.12/build/vboxdrv/common/log/log.c:551:41
[Mi Okt 18 11:43:37 2023]  dump_stack_lvl+0x48/0x70
[Mi Okt 18 11:43:37 2023] index 344 is out of range for type 'uint32_t [1]'
[Mi Okt 18 11:43:37 2023]  dump_stack+0x10/0x20
[Mi Okt 18 11:43:37 2023]  __ubsan_handle_out_of_bounds+0xa2/0x100
[Mi Okt 18 11:43:37 2023]  ? rwsem_down_read_slowpath+0xc1/0x4d0
[Mi Okt 18 11:43:37 2023]  ? _raw_spin_lock_irqsave+0xe/0x20
[Mi Okt 18 11:43:37 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:37 2023]  ? down+0x3b/0x80
[Mi Okt 18 11:43:37 2023]  supdrvTscMeasureDeltaOne+0x54b/0x800 [vboxdrv]
[Mi Okt 18 11:43:37 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:37 2023]  supdrvTscDeltaThread+0x46b/0x7b0 [vboxdrv]
[Mi Okt 18 11:43:37 2023]  ? __pfx_rtThreadNativeMain+0x10/0x10 [vboxdrv]
[Mi Okt 18 11:43:37 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:37 2023]  ? __pfx_rtThreadNativeMain+0x10/0x10 [vboxdrv]
[Mi Okt 18 11:43:37 2023]  rtThreadMain+0x3e/0x90 [vboxdrv]
[Mi Okt 18 11:43:37 2023]  rtThreadNativeMain+0x1b/0x30 [vboxdrv]
[Mi Okt 18 11:43:37 2023]  kthread+0xf7/0x130
[Mi Okt 18 11:43:37 2023]  ? __pfx_kthread+0x10/0x10
[Mi Okt 18 11:43:37 2023]  ret_from_fork+0x46/0x70
[Mi Okt 18 11:43:37 2023]  ? __pfx_kthread+0x10/0x10
[Mi Okt 18 11:43:37 2023]  ret_from_fork_asm+0x1b/0x30
[Mi Okt 18 11:43:37 2023]  </TASK>
[Mi Okt 18 11:43:37 2023] CPU: 9 PID: 986 Comm: modprobe Tainted: P           OE      6.5.0-10005-tuxedo #5
[Mi Okt 18 11:43:37 2023] Hardware name: TUXEDO TUXEDO Polaris 15 AMD Gen1/POLARIS1501A2060, BIOS N.1.21.A04 08/30/2021
[Mi Okt 18 11:43:37 2023] Call Trace:
[Mi Okt 18 11:43:37 2023]  <TASK>
[Mi Okt 18 11:43:37 2023]  dump_stack_lvl+0x48/0x70
[Mi Okt 18 11:43:37 2023]  dump_stack+0x10/0x20
[Mi Okt 18 11:43:37 2023]  __ubsan_handle_out_of_bounds+0xa2/0x100
[Mi Okt 18 11:43:37 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:37 2023]  VBoxHost_RTLogRelGetDefaultInstanceEx+0x9f/0xb0 [vboxdrv]
[Mi Okt 18 11:43:37 2023]  VBoxNetFltLinuxInit+0x48/0xff0 [vboxnetflt]
[Mi Okt 18 11:43:37 2023]  ? __pfx_VBoxNetFltLinuxInit+0x10/0x10 [vboxnetflt]
[Mi Okt 18 11:43:37 2023]  do_one_initcall+0x49/0x330
[Mi Okt 18 11:43:37 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:37 2023]  ? kmalloc_trace+0x2a/0xb0
[Mi Okt 18 11:43:37 2023]  do_init_module+0x6a/0x280
[Mi Okt 18 11:43:37 2023]  load_module+0xce0/0xe80
[Mi Okt 18 11:43:37 2023]  ? __vmalloc_node_range+0xce/0x260
[Mi Okt 18 11:43:37 2023] ================================================================================
[Mi Okt 18 11:43:37 2023] ================================================================================
[Mi Okt 18 11:43:37 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:37 2023]  ? find_vmap_area+0x44/0x70
[Mi Okt 18 11:43:37 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:37 2023]  __do_sys_init_module+0x1ae/0x1e0
[Mi Okt 18 11:43:37 2023]  ? __do_sys_init_module+0x1ae/0x1e0
[Mi Okt 18 11:43:37 2023]  __x64_sys_init_module+0x1a/0x30
[Mi Okt 18 11:43:37 2023] UBSAN: array-index-out-of-bounds in /var/lib/dkms/virtualbox/7.0.12/build/vboxdrv/SUPDrvGip.c:4041:33
[Mi Okt 18 11:43:37 2023]  do_syscall_64+0x5c/0x90
[Mi Okt 18 11:43:37 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:37 2023] index 8 is out of range for type 'SUPGIPCPU [1]'
[Mi Okt 18 11:43:37 2023]  ? do_user_addr_fault+0x17d/0x6c0
[Mi Okt 18 11:43:37 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:37 2023]  ? exit_to_user_mode_prepare+0x3b/0xd0
[Mi Okt 18 11:43:37 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:37 2023]  ? irqentry_exit_to_user_mode+0x17/0x20
[Mi Okt 18 11:43:37 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:37 2023]  ? irqentry_exit+0x43/0x50
[Mi Okt 18 11:43:37 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:37 2023]  ? exc_page_fault+0x95/0x1b0
[Mi Okt 18 11:43:37 2023]  entry_SYSCALL_64_after_hwframe+0x6e/0xd8
[Mi Okt 18 11:43:37 2023] RIP: 0033:0x7fc0a3b1ed8e
[Mi Okt 18 11:43:37 2023] Code: 48 8b 0d 8d 70 0d 00 f7 d8 64 89 01 48 83 c8 ff c3 66 2e 0f 1f 84 00 00 00 00 00 90 f3 0f 1e fa 49 89 ca b8 af 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 5a 70 0d 00 f7 d8 64 89 01 48
[Mi Okt 18 11:43:37 2023] RSP: 002b:00007ffe996150f8 EFLAGS: 00000246 ORIG_RAX: 00000000000000af
[Mi Okt 18 11:43:37 2023] RAX: ffffffffffffffda RBX: 000055e02d393e60 RCX: 00007fc0a3b1ed8e
[Mi Okt 18 11:43:37 2023] RDX: 000055e02bdeecd2 RSI: 0000000000011b70 RDI: 00007fc0a425b010
[Mi Okt 18 11:43:37 2023] RBP: 00007fc0a425b010 R08: 0000000000024000 R09: 0000000000000000
[Mi Okt 18 11:43:37 2023] R10: 00007fc0a3b118cb R11: 0000000000000246 R12: 000055e02bdeecd2
[Mi Okt 18 11:43:37 2023] R13: 000055e02d393fe0 R14: 000055e02d393a80 R15: 000055e02d394350
[Mi Okt 18 11:43:37 2023]  </TASK>
[Mi Okt 18 11:43:37 2023] CPU: 11 PID: 983 Comm: iprt-VBoxTscThr Tainted: P           OE      6.5.0-10005-tuxedo #5
[Mi Okt 18 11:43:37 2023] Hardware name: TUXEDO TUXEDO Polaris 15 AMD Gen1/POLARIS1501A2060, BIOS N.1.21.A04 08/30/2021
[Mi Okt 18 11:43:37 2023] Call Trace:
[Mi Okt 18 11:43:37 2023]  <TASK>
[Mi Okt 18 11:43:37 2023]  dump_stack_lvl+0x48/0x70
[Mi Okt 18 11:43:37 2023]  dump_stack+0x10/0x20
[Mi Okt 18 11:43:37 2023]  __ubsan_handle_out_of_bounds+0xa2/0x100
[Mi Okt 18 11:43:37 2023]  ? rwsem_down_read_slowpath+0xc8/0x4d0
[Mi Okt 18 11:43:37 2023] ================================================================================
[Mi Okt 18 11:43:37 2023] ================================================================================
[Mi Okt 18 11:43:37 2023]  ? _raw_spin_lock_irqsave+0xe/0x20
[Mi Okt 18 11:43:37 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:37 2023]  ? down+0x3b/0x80
[Mi Okt 18 11:43:37 2023]  supdrvTscMeasureDeltaOne+0x7a5/0x800 [vboxdrv]
[Mi Okt 18 11:43:37 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:37 2023] UBSAN: array-index-out-of-bounds in /var/lib/dkms/virtualbox/7.0.12/build/vboxdrv/common/log/log.c:4161:34
[Mi Okt 18 11:43:37 2023]  supdrvTscDeltaThread+0x46b/0x7b0 [vboxdrv]
[Mi Okt 18 11:43:37 2023] index 344 is out of range for type 'uint32_t [1]'
[Mi Okt 18 11:43:37 2023]  ? __pfx_rtThreadNativeMain+0x10/0x10 [vboxdrv]
[Mi Okt 18 11:43:37 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:37 2023]  ? __pfx_rtThreadNativeMain+0x10/0x10 [vboxdrv]
[Mi Okt 18 11:43:37 2023]  rtThreadMain+0x3e/0x90 [vboxdrv]
[Mi Okt 18 11:43:37 2023]  rtThreadNativeMain+0x1b/0x30 [vboxdrv]
[Mi Okt 18 11:43:37 2023]  kthread+0xf7/0x130
[Mi Okt 18 11:43:37 2023]  ? __pfx_kthread+0x10/0x10
[Mi Okt 18 11:43:37 2023]  ret_from_fork+0x46/0x70
[Mi Okt 18 11:43:37 2023]  ? __pfx_kthread+0x10/0x10
[Mi Okt 18 11:43:37 2023]  ret_from_fork_asm+0x1b/0x30
[Mi Okt 18 11:43:37 2023]  </TASK>
[Mi Okt 18 11:43:38 2023] CPU: 9 PID: 986 Comm: modprobe Tainted: P           OE      6.5.0-10005-tuxedo #5
[Mi Okt 18 11:43:38 2023] Hardware name: TUXEDO TUXEDO Polaris 15 AMD Gen1/POLARIS1501A2060, BIOS N.1.21.A04 08/30/2021
[Mi Okt 18 11:43:38 2023] Call Trace:
[Mi Okt 18 11:43:38 2023]  <TASK>
[Mi Okt 18 11:43:38 2023]  dump_stack_lvl+0x48/0x70
[Mi Okt 18 11:43:38 2023]  dump_stack+0x10/0x20
[Mi Okt 18 11:43:38 2023]  __ubsan_handle_out_of_bounds+0xa2/0x100
[Mi Okt 18 11:43:38 2023] ================================================================================
[Mi Okt 18 11:43:38 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:38 2023]  ? vprintk_emit+0xbe/0x1f0
[Mi Okt 18 11:43:38 2023]  VBoxHost_RTLogLoggerExV+0x424/0x5c0 [vboxdrv]
[Mi Okt 18 11:43:38 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:38 2023]  ? vprintk+0x67/0xb0
[Mi Okt 18 11:43:38 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:38 2023]  ? _printk+0x58/0x90
[Mi Okt 18 11:43:38 2023]  VBoxHost_RTLogLoggerEx+0x49/0x80 [vboxdrv]
[Mi Okt 18 11:43:38 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:38 2023]  ? VBoxHost_RTLogRelGetDefaultInstanceEx+0x9f/0xb0 [vboxdrv]
[Mi Okt 18 11:43:38 2023]  VBoxNetFltLinuxInit+0x69/0xff0 [vboxnetflt]
[Mi Okt 18 11:43:38 2023]  ? __pfx_VBoxNetFltLinuxInit+0x10/0x10 [vboxnetflt]
[Mi Okt 18 11:43:38 2023]  do_one_initcall+0x49/0x330
[Mi Okt 18 11:43:38 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:38 2023]  ? kmalloc_trace+0x2a/0xb0
[Mi Okt 18 11:43:38 2023]  do_init_module+0x6a/0x280
[Mi Okt 18 11:43:38 2023]  load_module+0xce0/0xe80
[Mi Okt 18 11:43:38 2023]  ? __vmalloc_node_range+0xce/0x260
[Mi Okt 18 11:43:38 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:38 2023]  ? find_vmap_area+0x44/0x70
[Mi Okt 18 11:43:38 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:38 2023]  __do_sys_init_module+0x1ae/0x1e0
[Mi Okt 18 11:43:38 2023]  ? __do_sys_init_module+0x1ae/0x1e0
[Mi Okt 18 11:43:38 2023]  __x64_sys_init_module+0x1a/0x30
[Mi Okt 18 11:43:38 2023]  do_syscall_64+0x5c/0x90
[Mi Okt 18 11:43:38 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:38 2023]  ? do_user_addr_fault+0x17d/0x6c0
[Mi Okt 18 11:43:38 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:38 2023]  ? exit_to_user_mode_prepare+0x3b/0xd0
[Mi Okt 18 11:43:38 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:38 2023]  ? irqentry_exit_to_user_mode+0x17/0x20
[Mi Okt 18 11:43:38 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:38 2023]  ? irqentry_exit+0x43/0x50
[Mi Okt 18 11:43:38 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:38 2023]  ? exc_page_fault+0x95/0x1b0
[Mi Okt 18 11:43:38 2023]  entry_SYSCALL_64_after_hwframe+0x6e/0xd8
[Mi Okt 18 11:43:38 2023] RIP: 0033:0x7fc0a3b1ed8e
[Mi Okt 18 11:43:38 2023] Code: 48 8b 0d 8d 70 0d 00 f7 d8 64 89 01 48 83 c8 ff c3 66 2e 0f 1f 84 00 00 00 00 00 90 f3 0f 1e fa 49 89 ca b8 af 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 5a 70 0d 00 f7 d8 64 89 01 48
[Mi Okt 18 11:43:38 2023] RSP: 002b:00007ffe996150f8 EFLAGS: 00000246 ORIG_RAX: 00000000000000af
[Mi Okt 18 11:43:38 2023] RAX: ffffffffffffffda RBX: 000055e02d393e60 RCX: 00007fc0a3b1ed8e
[Mi Okt 18 11:43:38 2023] RDX: 000055e02bdeecd2 RSI: 0000000000011b70 RDI: 00007fc0a425b010
[Mi Okt 18 11:43:38 2023] RBP: 00007fc0a425b010 R08: 0000000000024000 R09: 0000000000000000
[Mi Okt 18 11:43:38 2023] R10: 00007fc0a3b118cb R11: 0000000000000246 R12: 000055e02bdeecd2
[Mi Okt 18 11:43:38 2023] R13: 000055e02d393fe0 R14: 000055e02d393a80 R15: 000055e02d394350
[Mi Okt 18 11:43:38 2023]  </TASK>
[Mi Okt 18 11:43:38 2023] ================================================================================
[Mi Okt 18 11:43:38 2023] VBoxNetFlt: Successfully started.
[Mi Okt 18 11:43:38 2023] ================================================================================
[Mi Okt 18 11:43:38 2023] UBSAN: array-index-out-of-bounds in /var/lib/dkms/virtualbox/7.0.12/build/vboxdrv/SUPDrvGip.c:4274:52
[Mi Okt 18 11:43:38 2023] index 2 is out of range for type 'SUPGIPCPU [1]'
[Mi Okt 18 11:43:38 2023] CPU: 3 PID: 983 Comm: iprt-VBoxTscThr Tainted: P           OE      6.5.0-10005-tuxedo #5
[Mi Okt 18 11:43:38 2023] Hardware name: TUXEDO TUXEDO Polaris 15 AMD Gen1/POLARIS1501A2060, BIOS N.1.21.A04 08/30/2021
[Mi Okt 18 11:43:38 2023] Call Trace:
[Mi Okt 18 11:43:38 2023]  <TASK>
[Mi Okt 18 11:43:38 2023]  dump_stack_lvl+0x48/0x70
[Mi Okt 18 11:43:38 2023]  dump_stack+0x10/0x20
[Mi Okt 18 11:43:38 2023]  __ubsan_handle_out_of_bounds+0xa2/0x100
[Mi Okt 18 11:43:38 2023]  supdrvTscDeltaThread+0x69b/0x7b0 [vboxdrv]
[Mi Okt 18 11:43:38 2023]  ? __pfx_rtThreadNativeMain+0x10/0x10 [vboxdrv]
[Mi Okt 18 11:43:38 2023]  ? __pfx_rtThreadNativeMain+0x10/0x10 [vboxdrv]
[Mi Okt 18 11:43:38 2023]  rtThreadMain+0x3e/0x90 [vboxdrv]
[Mi Okt 18 11:43:38 2023]  rtThreadNativeMain+0x1b/0x30 [vboxdrv]
[Mi Okt 18 11:43:38 2023]  kthread+0xf7/0x130
[Mi Okt 18 11:43:38 2023]  ? __pfx_kthread+0x10/0x10
[Mi Okt 18 11:43:38 2023]  ret_from_fork+0x46/0x70
[Mi Okt 18 11:43:38 2023]  ? __pfx_kthread+0x10/0x10
[Mi Okt 18 11:43:38 2023]  ret_from_fork_asm+0x1b/0x30
[Mi Okt 18 11:43:38 2023]  </TASK>
[Mi Okt 18 11:43:38 2023] ================================================================================
[Mi Okt 18 11:43:38 2023] ================================================================================
[Mi Okt 18 11:43:38 2023] UBSAN: array-index-out-of-bounds in /var/lib/dkms/virtualbox/7.0.12/build/vboxdrv/SUPDrvGip.c:3997:53
[Mi Okt 18 11:43:38 2023] index 3 is out of range for type 'SUPGIPCPU [1]'
[Mi Okt 18 11:43:38 2023] CPU: 3 PID: 983 Comm: iprt-VBoxTscThr Tainted: P           OE      6.5.0-10005-tuxedo #5
[Mi Okt 18 11:43:38 2023] Hardware name: TUXEDO TUXEDO Polaris 15 AMD Gen1/POLARIS1501A2060, BIOS N.1.21.A04 08/30/2021
[Mi Okt 18 11:43:38 2023] Call Trace:
[Mi Okt 18 11:43:38 2023]  <TASK>
[Mi Okt 18 11:43:38 2023]  dump_stack_lvl+0x48/0x70
[Mi Okt 18 11:43:38 2023]  dump_stack+0x10/0x20
[Mi Okt 18 11:43:38 2023]  __ubsan_handle_out_of_bounds+0xa2/0x100
[Mi Okt 18 11:43:38 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:38 2023]  ? _printk+0x58/0x90
[Mi Okt 18 11:43:38 2023]  supdrvTscMeasureDeltaOne+0x5f6/0x800 [vboxdrv]
[Mi Okt 18 11:43:38 2023]  ? srso_return_thunk+0x5/0x10
[Mi Okt 18 11:43:38 2023]  ? __ubsan_handle_out_of_bounds+0xca/0x100
[Mi Okt 18 11:43:38 2023]  supdrvTscDeltaThread+0x46b/0x7b0 [vboxdrv]
[Mi Okt 18 11:43:38 2023]  ? __pfx_rtThreadNativeMain+0x10/0x10 [vboxdrv]
[Mi Okt 18 11:43:38 2023]  ? __pfx_rtThreadNativeMain+0x10/0x10 [vboxdrv]
[Mi Okt 18 11:43:38 2023]  rtThreadMain+0x3e/0x90 [vboxdrv]
[Mi Okt 18 11:43:38 2023]  rtThreadNativeMain+0x1b/0x30 [vboxdrv]
[Mi Okt 18 11:43:38 2023]  kthread+0xf7/0x130
[Mi Okt 18 11:43:38 2023]  ? __pfx_kthread+0x10/0x10
[Mi Okt 18 11:43:38 2023]  ret_from_fork+0x46/0x70
[Mi Okt 18 11:43:38 2023]  ? __pfx_kthread+0x10/0x10
[Mi Okt 18 11:43:38 2023]  ret_from_fork_asm+0x1b/0x30
[Mi Okt 18 11:43:38 2023]  </TASK>
[Mi Okt 18 11:43:38 2023] ================================================================================
[Mi Okt 18 11:43:38 2023] VBoxNetAdp: Successfully started.

Attachments (1)

kernel.png (98.3 KB ) - added by oa2024 5 months ago.
kernel error

Download all attachments as: .zip

Change History (13)

comment:1 by ambalasis, 6 months ago

Confirmed, vbox 7.0.12 r159484, kernel 6.5.0-13-generic.

comment:2 by aug7744, 5 months ago

here using kernel 6.6.5 in boot show several lines as being 42.860147] kernel: UBSAN: array-index-out-of-bounds in /tmp/vbox.0/common/log/log.c:1791:45 [ 42.864928] kernel: index 1 is out of range for type 'uint32_t [1]'

However VirtualBox works fine with VM Ubuntu 18.04, 20.04 and AndroidX86 64 bits. In moment is better ignore that error message ?

comment:3 by daredevil73, 5 months ago

Same for me! That kernel caused KVM stop working too.

by oa2024, 5 months ago

Attachment: kernel.png added

kernel error

comment:4 by oa2024, 5 months ago

Same thing here, kernel 6.5.0.

https://www.virtualbox.org/attachment/ticket/21877/kernel.png

comment:5 by paaguti-u, 4 months ago

Same for me!

[    7.781037] UBSAN: array-index-out-of-bounds in /tmp/vbox.0/common/log/log.c:551:41
[    7.781040] index 344 is out of range for type 'uint32_t [1]'
[    7.781041] CPU: 4 PID: 1505 Comm: modprobe Tainted: G           OE      6.5.0-14-generic #14~22.04.1-Ubuntu
[    7.781044] Hardware name: HP HP EliteBook 840 G5/83B2, BIOS Q78 Ver. 01.26.00 10/02/2023
[    7.781044] Call Trace:
[    7.781046]  <TASK>
[    7.781048]  dump_stack_lvl+0x48/0x70
[    7.781054]  dump_stack+0x10/0x20
[    7.781056]  __ubsan_handle_out_of_bounds+0xc6/0x110
[    7.781060]  VBoxHost_RTLogRelGetDefaultInstanceEx+0x9f/0xb0 [vboxdrv]
[    7.781107]  VBoxNetFltLinuxInit+0x47/0xff0 [vboxnetflt]
[    7.781114]  ? __pfx_VBoxNetFltLinuxInit+0x10/0x10 [vboxnetflt]
[    7.781119]  do_one_initcall+0x5b/0x340
[    7.781125]  do_init_module+0x68/0x260
[    7.781128]  load_module+0xb85/0xcd0
[    7.781132]  ? security_kernel_post_read_file+0x75/0x90
[    7.781136]  init_module_from_file+0x96/0x100
[    7.781139]  ? init_module_from_file+0x96/0x100
[    7.781144]  idempotent_init_module+0x11c/0x2b0
[    7.781149]  __x64_sys_finit_module+0x64/0xd0
[    7.781152]  do_syscall_64+0x58/0x90
[    7.781155]  ? syscall_exit_to_user_mode+0x37/0x60
[    7.781158]  ? do_syscall_64+0x67/0x90
[    7.781160]  ? exc_page_fault+0x94/0x1b0
[    7.781163]  entry_SYSCALL_64_after_hwframe+0x6e/0xd8
[    7.781171] RIP: 0033:0x7fc50031e88d
[    7.781196] Code: 5b 41 5c c3 66 0f 1f 84 00 00 00 00 00 f3 0f 1e fa 48 89 f8 48 89 f7 48 89 d6 48 89 ca 4d 89 c2 4d 89 c8 4c 8b 4c 24 08 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 73 b5 0f 00 f7 d8 64 89 01 48
[    7.781198] RSP: 002b:00007fff37c69e68 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
[    7.781201] RAX: ffffffffffffffda RBX: 000055767f0bc9b0 RCX: 00007fc50031e88d
[    7.781203] RDX: 0000000000000000 RSI: 000055767dec7cd2 RDI: 0000000000000003
[    7.781204] RBP: 0000000000040000 R08: 0000000000000000 R09: 0000000000000002
[    7.781206] R10: 0000000000000003 R11: 0000000000000246 R12: 000055767dec7cd2
[    7.781207] R13: 000055767f0bca80 R14: 000055767f0bc5a0 R15: 000055767f0bceb0
[    7.781211]  </TASK>
[    7.781212] ================================================================================

comment:6 by rstribrny, 4 months ago

Same for VirtualBox 6.1.

=> Dell Latitude 5531

=> Kernel: 6.5.0-14-generic (Ubuntu 22.04)

=> SW: virtualbox-6.1 (6.1.50-161033~Ubuntu~jammy)

Jan 21 09:46:27 myMachineName kernel: [  208.154813] ================================================================================
Jan 21 09:46:27 myMachineName kernel: [  208.155388] UBSAN: array-index-out-of-bounds in /tmp/vbox.0/common/log/logrel.c:99:43
Jan 21 09:46:27 myMachineName kernel: [  208.155971] index 307 is out of range for type 'uint32_t [1]'
Jan 21 09:46:27 myMachineName kernel: [  208.156539] CPU: 2 PID: 2983 Comm: modprobe Tainted: G     U     O       6.5.0-14-generic #14~22.04.1-Ubuntu
Jan 21 09:46:27 myMachineName kernel: [  208.156541] Hardware name: Dell Inc. Latitude 5531/0FRYDD, BIOS 1.14.1 05/10/2023
Jan 21 09:46:27 myMachineName kernel: [  208.156542] Call Trace:
Jan 21 09:46:27 myMachineName kernel: [  208.156543]  <TASK>
Jan 21 09:46:27 myMachineName kernel: [  208.156545]  dump_stack_lvl+0x48/0x70
Jan 21 09:46:27 myMachineName kernel: [  208.156550]  dump_stack+0x10/0x20
Jan 21 09:46:27 myMachineName kernel: [  208.156551]  __ubsan_handle_out_of_bounds+0xc6/0x110
Jan 21 09:46:27 myMachineName kernel: [  208.156555]  VBoxHost_RTLogRelGetDefaultInstanceEx+0xa2/0xb0 [vboxdrv]
Jan 21 09:46:27 myMachineName kernel: [  208.156579]  VBoxNetFltLinuxInit+0x47/0xff0 [vboxnetflt]
Jan 21 09:46:27 myMachineName kernel: [  208.156583]  ? __pfx_VBoxNetFltLinuxInit+0x10/0x10 [vboxnetflt]
Jan 21 09:46:27 myMachineName kernel: [  208.156586]  do_one_initcall+0x5b/0x340
Jan 21 09:46:27 myMachineName kernel: [  208.156589]  do_init_module+0x68/0x260
Jan 21 09:46:27 myMachineName kernel: [  208.156592]  load_module+0xb85/0xcd0
Jan 21 09:46:27 myMachineName kernel: [  208.156594]  ? security_kernel_post_read_file+0x75/0x90
Jan 21 09:46:27 myMachineName kernel: [  208.156596]  ? security_kernel_post_read_file+0x75/0x90
Jan 21 09:46:27 myMachineName kernel: [  208.156597]  init_module_from_file+0x96/0x100
Jan 21 09:46:27 myMachineName kernel: [  208.156599]  ? init_module_from_file+0x96/0x100
Jan 21 09:46:27 myMachineName kernel: [  208.156601]  idempotent_init_module+0x11c/0x2b0
Jan 21 09:46:27 myMachineName kernel: [  208.156603]  __x64_sys_finit_module+0x64/0xd0
Jan 21 09:46:27 myMachineName kernel: [  208.156605]  do_syscall_64+0x58/0x90
Jan 21 09:46:27 myMachineName kernel: [  208.156607]  ? do_syscall_64+0x67/0x90
Jan 21 09:46:27 myMachineName kernel: [  208.156609]  ? syscall_exit_to_user_mode+0x37/0x60
Jan 21 09:46:27 myMachineName kernel: [  208.156610]  ? do_syscall_64+0x67/0x90
Jan 21 09:46:27 myMachineName kernel: [  208.156612]  ? ksys_read+0x73/0x100
Jan 21 09:46:27 myMachineName kernel: [  208.156614]  ? exit_to_user_mode_prepare+0x30/0xb0
Jan 21 09:46:27 myMachineName kernel: [  208.156616]  ? syscall_exit_to_user_mode+0x37/0x60
Jan 21 09:46:27 myMachineName kernel: [  208.156617]  ? do_syscall_64+0x67/0x90
Jan 21 09:46:27 myMachineName kernel: [  208.156619]  ? irqentry_exit+0x43/0x50
Jan 21 09:46:27 myMachineName kernel: [  208.156620]  ? exc_page_fault+0x94/0x1b0
Jan 21 09:46:27 myMachineName kernel: [  208.156622]  entry_SYSCALL_64_after_hwframe+0x6e/0xd8
Jan 21 09:46:27 myMachineName kernel: [  208.156624] RIP: 0033:0x7f49e711e88d
Jan 21 09:46:27 myMachineName kernel: [  208.156658] Code: 5b 41 5c c3 66 0f 1f 84 00 00 00 00 00 f3 0f 1e fa 48 89 f8 48 89 f7 48 89 d6 48 89 ca 4d 89 c2 4d 89 c8 4c 8b 4c 24 08 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 73 b5 0f 00 f7 d8 64 89 01 48
Jan 21 09:46:27 myMachineName kernel: [  208.156659] RSP: 002b:00007ffdcb600948 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
Jan 21 09:46:27 myMachineName kernel: [  208.156660] RAX: ffffffffffffffda RBX: 000055863c2d9e50 RCX: 00007f49e711e88d
Jan 21 09:46:27 myMachineName kernel: [  208.156661] RDX: 0000000000000000 RSI: 000055863ac14cd2 RDI: 0000000000000003
Jan 21 09:46:27 myMachineName kernel: [  208.156662] RBP: 0000000000040000 R08: 0000000000000000 R09: 0000000000000002
Jan 21 09:46:27 myMachineName kernel: [  208.156662] R10: 0000000000000003 R11: 0000000000000246 R12: 000055863ac14cd2
Jan 21 09:46:27 myMachineName kernel: [  208.156663] R13: 000055863c2d9f20 R14: 000055863c2d9a60 R15: 000055863c2da350
Jan 21 09:46:27 myMachineName kernel: [  208.156664]  </TASK>
Jan 21 09:46:27 myMachineName kernel: [  208.156665] ================================================================================
Jan 21 09:46:27 myMachineName kernel: [  208.157229] ================================================================================
Jan 21 09:46:27 myMachineName kernel: [  208.157750] UBSAN: array-index-out-of-bounds in /tmp/vbox.0/common/log/log.c:2949:31
Jan 21 09:46:27 myMachineName kernel: [  208.158194] index 307 is out of range for type 'uint32_t [1]'
Jan 21 09:46:27 myMachineName kernel: [  208.158637] CPU: 2 PID: 2983 Comm: modprobe Tainted: G     U     O       6.5.0-14-generic #14~22.04.1-Ubuntu
Jan 21 09:46:27 myMachineName kernel: [  208.158638] Hardware name: Dell Inc. Latitude 5531/0FRYDD, BIOS 1.14.1 05/10/2023
Jan 21 09:46:27 myMachineName kernel: [  208.158638] Call Trace:
Jan 21 09:46:27 myMachineName kernel: [  208.158639]  <TASK>
Jan 21 09:46:27 myMachineName kernel: [  208.158639]  dump_stack_lvl+0x48/0x70
Jan 21 09:46:27 myMachineName kernel: [  208.158641]  dump_stack+0x10/0x20
Jan 21 09:46:27 myMachineName kernel: [  208.158642]  __ubsan_handle_out_of_bounds+0xc6/0x110
Jan 21 09:46:27 myMachineName kernel: [  208.158644]  VBoxHost_RTLogLoggerExV+0x3d8/0x580 [vboxdrv]
Jan 21 09:46:27 myMachineName kernel: [  208.158661]  ? vprintk_default+0x1d/0x30
Jan 21 09:46:27 myMachineName kernel: [  208.158663]  ? vprintk+0x64/0xa0
Jan 21 09:46:27 myMachineName kernel: [  208.158665]  ? _printk+0x60/0x90
Jan 21 09:46:27 myMachineName kernel: [  208.158666]  VBoxHost_RTLogLoggerEx+0x51/0x80 [vboxdrv]
Jan 21 09:46:27 myMachineName kernel: [  208.158682]  ? VBoxHost_RTLogRelGetDefaultInstanceEx+0xa2/0xb0 [vboxdrv]
Jan 21 09:46:27 myMachineName kernel: [  208.158697]  VBoxNetFltLinuxInit+0x65/0xff0 [vboxnetflt]
Jan 21 09:46:27 myMachineName kernel: [  208.158700]  ? __pfx_VBoxNetFltLinuxInit+0x10/0x10 [vboxnetflt]
Jan 21 09:46:27 myMachineName kernel: [  208.158703]  do_one_initcall+0x5b/0x340
Jan 21 09:46:27 myMachineName kernel: [  208.158706]  do_init_module+0x68/0x260
Jan 21 09:46:27 myMachineName kernel: [  208.158707]  load_module+0xb85/0xcd0
Jan 21 09:46:27 myMachineName kernel: [  208.158709]  ? security_kernel_post_read_file+0x75/0x90
Jan 21 09:46:27 myMachineName kernel: [  208.158710]  ? security_kernel_post_read_file+0x75/0x90
Jan 21 09:46:27 myMachineName kernel: [  208.158712]  init_module_from_file+0x96/0x100
Jan 21 09:46:27 myMachineName kernel: [  208.158713]  ? init_module_from_file+0x96/0x100
Jan 21 09:46:27 myMachineName kernel: [  208.158715]  idempotent_init_module+0x11c/0x2b0
Jan 21 09:46:27 myMachineName kernel: [  208.158718]  __x64_sys_finit_module+0x64/0xd0
Jan 21 09:46:27 myMachineName kernel: [  208.158719]  do_syscall_64+0x58/0x90
Jan 21 09:46:27 myMachineName kernel: [  208.158721]  ? do_syscall_64+0x67/0x90
Jan 21 09:46:27 myMachineName kernel: [  208.158722]  ? syscall_exit_to_user_mode+0x37/0x60
Jan 21 09:46:27 myMachineName kernel: [  208.158724]  ? do_syscall_64+0x67/0x90
Jan 21 09:46:27 myMachineName kernel: [  208.158725]  ? ksys_read+0x73/0x100
Jan 21 09:46:27 myMachineName kernel: [  208.158726]  ? exit_to_user_mode_prepare+0x30/0xb0
Jan 21 09:46:27 myMachineName kernel: [  208.158728]  ? syscall_exit_to_user_mode+0x37/0x60
Jan 21 09:46:27 myMachineName kernel: [  208.158729]  ? do_syscall_64+0x67/0x90
Jan 21 09:46:27 myMachineName kernel: [  208.158730]  ? irqentry_exit+0x43/0x50
Jan 21 09:46:27 myMachineName kernel: [  208.158732]  ? exc_page_fault+0x94/0x1b0
Jan 21 09:46:27 myMachineName kernel: [  208.158733]  entry_SYSCALL_64_after_hwframe+0x6e/0xd8
Jan 21 09:46:27 myMachineName kernel: [  208.158735] RIP: 0033:0x7f49e711e88d
Jan 21 09:46:27 myMachineName kernel: [  208.158739] Code: 5b 41 5c c3 66 0f 1f 84 00 00 00 00 00 f3 0f 1e fa 48 89 f8 48 89 f7 48 89 d6 48 89 ca 4d 89 c2 4d 89 c8 4c 8b 4c 24 08 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 73 b5 0f 00 f7 d8 64 89 01 48
Jan 21 09:46:27 myMachineName kernel: [  208.158739] RSP: 002b:00007ffdcb600948 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
Jan 21 09:46:27 myMachineName kernel: [  208.158740] RAX: ffffffffffffffda RBX: 000055863c2d9e50 RCX: 00007f49e711e88d
Jan 21 09:46:27 myMachineName kernel: [  208.158741] RDX: 0000000000000000 RSI: 000055863ac14cd2 RDI: 0000000000000003
Jan 21 09:46:27 myMachineName kernel: [  208.158741] RBP: 0000000000040000 R08: 0000000000000000 R09: 0000000000000002
Jan 21 09:46:27 myMachineName kernel: [  208.158742] R10: 0000000000000003 R11: 0000000000000246 R12: 000055863ac14cd2
Jan 21 09:46:27 myMachineName kernel: [  208.158743] R13: 000055863c2d9f20 R14: 000055863c2d9a60 R15: 000055863c2da350
Jan 21 09:46:27 myMachineName kernel: [  208.158744]  </TASK>
Jan 21 09:46:27 myMachineName kernel: [  208.158744] ================================================================================
Jan 21 09:46:27 myMachineName kernel: [  208.159189] VBoxNetFlt: Successfully started.

comment:7 by fth0, 4 months ago

In addition to the 3+ locations mentioned in this ticket, there's one additional location from the 4+ forum threads about UBSAN errors: 'page *[1]' in memobj-r0drv-linux.c:399:33 (VirtualBox 7.0.12).

comment:8 by mchist, 2 months ago

I faced with it too

7.0.14

Ubuntu 23.10, Gnome 45.2, kernel 6.5.0-25-generic

comment:9 by mchist, 2 months ago

Waiting when the 7.0.14-dfsg-2 package will be in Ubuntu 23.10 repository :) https://bugs.launchpad.net/ubuntu/+source/virtualbox/+bug/2037082/comments/31

comment:10 by galitsyn, 2 months ago

Hi guys,

We have fix for the issue. Could you please give it a try to on of the "Latest 7.0.x test builds" from test builds page?

comment:11 by rhardy613, 2 months ago

This is taking 5+ months to resolve an issue which prevents use of the product. Please take this more seriously.

The test build appears to make some of the errors go away but not all of them. Please see: https://bugs.launchpad.net/ubuntu/+source/virtualbox/+bug/2037082/comments/32

comment:12 by galitsyn, 3 weeks ago

Resolution: fixed
Status: newclosed

Hi guys,

We just released VirtualBox 7.0.18. This issue should be fixed in this release. It can be downloaded from here. Thank you for reporting the issue.

Note: See TracTickets for help on using tickets.

© 2023 Oracle
ContactPrivacy policyTerms of Use